# Changelog

## [1.6.5](https://github.com/dev-sec/ssl-baseline/tree/1.6.5) (2023-05-02)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/1.6.4...1.6.5)

**Implemented enhancements:**

- use centralised issue templates and workflows [\#49](https://github.com/dev-sec/ssl-baseline/pull/49) ([schurzi](https://github.com/schurzi))

**Merged pull requests:**

- add spellchecking with codespell [\#51](https://github.com/dev-sec/ssl-baseline/pull/51) ([schurzi](https://github.com/schurzi))
- Configure Renovate [\#50](https://github.com/dev-sec/ssl-baseline/pull/50) ([renovate[bot]](https://github.com/apps/renovate))
- Change linting to Cookstyle [\#48](https://github.com/dev-sec/ssl-baseline/pull/48) ([schurzi](https://github.com/schurzi))

## [1.6.4](https://github.com/dev-sec/ssl-baseline/tree/1.6.4) (2022-01-12)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/1.6.3...1.6.4)

**Closed issues:**

- undefined method `empty?' for \#\<Inspec::Rule:0x00005607e634ae88\> [\#40](https://github.com/dev-sec/ssl-baseline/issues/40)

**Merged pull requests:**

- use input instead of attribute [\#47](https://github.com/dev-sec/ssl-baseline/pull/47) ([micheelengronne](https://github.com/micheelengronne))
- fix rubocop error for Rakefile [\#43](https://github.com/dev-sec/ssl-baseline/pull/43) ([schurzi](https://github.com/schurzi))
- add dependency to chef-config for CI [\#42](https://github.com/dev-sec/ssl-baseline/pull/42) ([schurzi](https://github.com/schurzi))
- correct usage of ! with empty? check [\#41](https://github.com/dev-sec/ssl-baseline/pull/41) ([schurzi](https://github.com/schurzi))
- use version tag for changelog action [\#39](https://github.com/dev-sec/ssl-baseline/pull/39) ([schurzi](https://github.com/schurzi))
- Fix lint [\#38](https://github.com/dev-sec/ssl-baseline/pull/38) ([schurzi](https://github.com/schurzi))
- GitHub action [\#37](https://github.com/dev-sec/ssl-baseline/pull/37) ([rndmh3ro](https://github.com/rndmh3ro))

## [1.6.3](https://github.com/dev-sec/ssl-baseline/tree/1.6.3) (2020-07-23)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/1.6.2...1.6.3)

**Merged pull requests:**

- The release draft references the correct SHA [\#36](https://github.com/dev-sec/ssl-baseline/pull/36) ([micheelengronne](https://github.com/micheelengronne))
- CHANGELOG for RELEASE done before the push to avoid breaking [\#35](https://github.com/dev-sec/ssl-baseline/pull/35) ([micheelengronne](https://github.com/micheelengronne))

## [1.6.2](https://github.com/dev-sec/ssl-baseline/tree/1.6.2) (2020-05-19)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/1.6.1...1.6.2)

**Merged pull requests:**

- debug the changelog [\#34](https://github.com/dev-sec/ssl-baseline/pull/34) ([micheelengronne](https://github.com/micheelengronne))
- align versions [\#33](https://github.com/dev-sec/ssl-baseline/pull/33) ([micheelengronne](https://github.com/micheelengronne))

## [1.6.1](https://github.com/dev-sec/ssl-baseline/tree/1.6.1) (2020-05-19)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/1.6.0...1.6.1)

**Closed issues:**

- Potentially dangerous settings [\#27](https://github.com/dev-sec/ssl-baseline/issues/27)

**Merged pull requests:**

- github actions [\#32](https://github.com/dev-sec/ssl-baseline/pull/32) ([micheelengronne](https://github.com/micheelengronne))

## [1.6.0](https://github.com/dev-sec/ssl-baseline/tree/1.6.0) (2020-03-13)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/1.5.0...1.6.0)

**Merged pull requests:**

- debug force\_ssl [\#30](https://github.com/dev-sec/ssl-baseline/pull/30) ([micheelengronne](https://github.com/micheelengronne))
- Update for Inspec 4 [\#29](https://github.com/dev-sec/ssl-baseline/pull/29) ([micheelengronne](https://github.com/micheelengronne))

## [1.5.0](https://github.com/dev-sec/ssl-baseline/tree/1.5.0) (2020-03-12)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/1.4.0...1.5.0)

**Merged pull requests:**

- force\_ssl disable the check for SSL [\#28](https://github.com/dev-sec/ssl-baseline/pull/28) ([micheelengronne](https://github.com/micheelengronne))

## [1.4.0](https://github.com/dev-sec/ssl-baseline/tree/1.4.0) (2019-05-16)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/1.3.0...1.4.0)

**Closed issues:**

- Ubuntu 14.04 unsupported? [\#20](https://github.com/dev-sec/ssl-baseline/issues/20)
- Control for ROBOT Attack [\#17](https://github.com/dev-sec/ssl-baseline/issues/17)

**Merged pull requests:**

- Bump version to 1.4.0 and switch to inspec 3 for check [\#26](https://github.com/dev-sec/ssl-baseline/pull/26) ([alexpop](https://github.com/alexpop))
- Update issue templates [\#23](https://github.com/dev-sec/ssl-baseline/pull/23) ([rndmh3ro](https://github.com/rndmh3ro))
- avoid inspec deprecated warning in inspec version 1.51.18 [\#19](https://github.com/dev-sec/ssl-baseline/pull/19) ([Viktor-ret](https://github.com/Viktor-ret))
- control for robotattack [\#18](https://github.com/dev-sec/ssl-baseline/pull/18) ([supergicko](https://github.com/supergicko))
- v-update minimum inspec version to \>=1.21.0  [\#16](https://github.com/dev-sec/ssl-baseline/pull/16) ([supergicko](https://github.com/supergicko))
- use recommended spdx license identifier [\#14](https://github.com/dev-sec/ssl-baseline/pull/14) ([chris-rock](https://github.com/chris-rock))
- Add configurable attributes. [\#13](https://github.com/dev-sec/ssl-baseline/pull/13) ([rhass](https://github.com/rhass))

## [1.3.0](https://github.com/dev-sec/ssl-baseline/tree/1.3.0) (2017-05-08)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/v1.2.0...1.3.0)

**Merged pull requests:**

- Test for all [\#10](https://github.com/dev-sec/ssl-baseline/pull/10) ([supergicko](https://github.com/supergicko))
- restrict ruby testing to version 2.3.3 [\#9](https://github.com/dev-sec/ssl-baseline/pull/9) ([atomic111](https://github.com/atomic111))
- Added control check for disabled CBC [\#8](https://github.com/dev-sec/ssl-baseline/pull/8) ([supergicko](https://github.com/supergicko))

## [v1.2.0](https://github.com/dev-sec/ssl-baseline/tree/v1.2.0) (2017-03-10)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/v1.1.3...v1.2.0)

**Merged pull requests:**

- Add only\_if to controls [\#7](https://github.com/dev-sec/ssl-baseline/pull/7) ([alexpop](https://github.com/alexpop))
- Sslports bug [\#6](https://github.com/dev-sec/ssl-baseline/pull/6) ([supergicko](https://github.com/supergicko))
- add common files [\#5](https://github.com/dev-sec/ssl-baseline/pull/5) ([atomic111](https://github.com/atomic111))
- controls for export, des, aNULL, eNULL ciphers + md5 mac [\#4](https://github.com/dev-sec/ssl-baseline/pull/4) ([supergicko](https://github.com/supergicko))

## [v1.1.3](https://github.com/dev-sec/ssl-baseline/tree/v1.1.3) (2017-02-03)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/v1.1.1...v1.1.3)

**Merged pull requests:**

- target addresses of listening ports and add control for troubleshooting [\#3](https://github.com/dev-sec/ssl-baseline/pull/3) ([alexpop](https://github.com/alexpop))

## [v1.1.1](https://github.com/dev-sec/ssl-baseline/tree/v1.1.1) (2016-09-14)

[Full Changelog](https://github.com/dev-sec/ssl-baseline/compare/08492ded0dc353f8af232cb33ee07bf12580656d...v1.1.1)

**Fixed bugs:**

- Accept InSpec \>= 0.33.2 [\#2](https://github.com/dev-sec/ssl-baseline/pull/2) ([alexpop](https://github.com/alexpop))

**Merged pull requests:**

- Initial release [\#1](https://github.com/dev-sec/ssl-baseline/pull/1) ([alexpop](https://github.com/alexpop))



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
